Bug 424161 - Tricking sysreport into running 'rm -rf /' critical data loss
Tricking sysreport into running 'rm -rf /' critical data loss
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sos (Show other bugs)
5.1
All Linux
urgent Severity high
: ---
: ---
Assigned To: Navid Sheikhol-Eslami
: ZStream
Depends On: 332211
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-13 15:42 EST by RHEL Product and Program Management
Modified: 2008-04-08 11:57 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2008-8237
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-08 11:57:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2007-12-13 15:42:56 EST
This bug has been copied from bug #332211 and has been proposed
to be backported to 5.1 z-stream (EUS).
Comment 3 Mark J. Cox 2008-04-01 06:16:38 EDT
Suggested errata text (sent to docs)

"The sysreport utility in Red Hat Enterprise Linux 5 did not sanitise the case
number entered by the administrator, or the machine hostname. By entering
certain invalid data an administrator could inadvertently cause the script to
attempt to recursively remove all directories."
Comment 6 errata-xmlrpc 2008-04-08 11:57:50 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-8237.html

Note You need to log in before you can comment on or make changes to this bug.